std::atomic_flag::clear(3)

NAME
std::atomic_flag::clear - std::atomic_flag::clear

Synopsis
   Defined in header <atomic>
   void clear( std::memory_order order = (1) (since C++11)
                   std::memory_order_seq_cst ) volatile noexcept;
   void clear( std::memory_order order = (2) (since C++11)
                   std::memory_order_seq_cst ) noexcept;
   Atomically changes the state of a std::atomic_flag to clear (false).
   If order is one of std::memory_order_consume, std::memory_order_acquire and
   std::memory_order_acq_rel, the behavior is undefined.

Parameters
   order - the memory synchronization ordering
   Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
      DR Applied to Behavior as published Correct behavior
   LWG 2138 C++11 order could be std::memory_order_consume the behavior is
                        undefined in this case

See also
                        atomically sets the flag to true and obtains its previous
   test_and_set value
                        (public member function)
   atomic_flag_clear
   atomic_flag_clear_explicit atomically sets the value of the flag to false
   (C++11) (function)
   (C++11)
   memory_order defines memory ordering constraints for the given atomic
   (C++11) operation
                        (enum)